Bug 169030 - Review Request: Workrave
Review Request: Workrave
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://people.redhat.com/tmraz/workrave
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-22 08:19 EDT by Tomas Mraz
Modified: 2014-07-25 07:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 04:00:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tomas Mraz 2005-09-22 08:19:25 EDT
Spec Name or Url:
http://people.redhat.com/tmraz/workrave/workrave.spec

SRPM Name or Url:
http://people.redhat.com/tmraz/workrave/workrave-1.8.1-2.src.rpm

Description: 
Workrave is a program that assists in the recovery and prevention of Repetitive Strain Injury (RSI). The program frequently alerts you to take micro-pauses, rest breaks and restricts you to your daily limit.

Homepage:
http://workrave.org/
Comment 1 Marcin Garski 2005-09-22 18:08:06 EDT
I suggest adding:
BuildRequires:  gtk2-devel gtkmm24-devel pkgconfig
BuildRequires:  libgnomeuimm26-devel gnome-panel-devel gettext pkgconfig
BuildRequires:  kdelibs-devel arts-devel gnet2-devel dbus-devel gdome2-devel

and
%configure \
        --enable-kde \
        --enable-gconf \
        --enable-dbus \
        --enable-xml \

But it's just my suggestion.
Comment 2 Tomas Mraz 2005-09-23 04:08:50 EDT
The BuildRequires as they are in the current spec are sufficient - other are
pulled automatically as they are in the requires of the libgnomeuimm26-devel.

I don't want to make workrave depending on KDE.

The enable-gconf is configured automatically, enable-dbus doesn't have any
effect on the sources, enable-xml overrides enable-gconf.
Comment 3 John Mahowald 2005-10-20 12:04:44 EDT
* Applications/Health is not in GROUPS file. I suggest
Applications/Productivity, as the goal is to be more productive without RSI.

* rpmbuild --rebuilding, after yum installing the BuildRequires, on FC4, it fell
over when it looked for applet, perhaps this needs gnome-panel-devel, or
pkg-config needs to be fixed

checking for APPLET... Package libpanelapplet-2.0 was not found in the
pkg-config search path.
Perhaps you should add the directory containing `libpanelapplet-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libpanelapplet-2.0' found
configure: error: Package requirements (libpanelapplet-2.0 >= 2.0.10) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively you may set the APPLET_CFLAGS and APPLET_LIBS environment variables
to avoid the need to call pkg-config.  See the pkg-config man page for
more details.
Comment 4 Tomas Mraz 2005-10-20 16:41:19 EDT
> * Applications/Health is not in GROUPS file. I suggest
> Applications/Productivity, as the goal is to be more productive without RSI.

Done

> * rpmbuild --rebuilding, after yum installing the BuildRequires, on FC4, it fell
> over when it looked for applet, perhaps this needs gnome-panel-devel, or
> pkg-config needs to be fixed

Fixed by adding BuildRequires: gnome-panel-devel

New .spec and src.rpm uploaded.
http://people.redhat.com/tmraz/workrave/workrave-1.8.1-3.src.rpm
Comment 5 John Mahowald 2005-10-21 13:14:50 EDT
Built on FC4, i386:

* Need to use %find_lang macro, as per the PackagingGuidelines on the wiki

* rpmlint output: 

W: workrave non-conffile-in-etc /etc/sound/events/workrave.soundlist
W: workrave non-standard-dir-in-usr libexec
W: workrave file-not-in-%lang /usr/share/locale/ru/LC_MESSAGES/workrave.po
W: workrave file-not-in-%lang /usr/share/locale/es/LC_MESSAGES/workrave.po
W: workrave file-not-in-%lang /usr/share/locale/de/LC_MESSAGES/workrave.po
W: workrave file-not-in-%lang /usr/share/locale/eu/LC_MESSAGES/workrave.po
W: workrave file-not-in-%lang /usr/share/locale/cs/LC_MESSAGES/workrave.po
W: workrave file-not-in-%lang /usr/share/locale/he/LC_MESSAGES/workrave.po
W: workrave file-not-in-%lang /usr/share/locale/da/LC_MESSAGES/workrave.po
W: workrave file-not-in-%lang /usr/share/locale/pt_BR/LC_MESSAGES/workrave.po
W: workrave file-not-in-%lang /usr/share/locale/pl/LC_MESSAGES/workrave.po
W: workrave file-not-in-%lang /usr/share/locale/zh_TW/LC_MESSAGES/workrave.po
W: workrave file-not-in-%lang /usr/share/locale/nl/LC_MESSAGES/workrave.po
W: workrave file-not-in-%lang /usr/share/locale/no/LC_MESSAGES/workrave.po
W: workrave file-not-in-%lang /usr/share/locale/fr/LC_MESSAGES/workrave.po
W: workrave file-not-in-%lang /usr/share/locale/eo/LC_MESSAGES/workrave.po
W: workrave file-not-in-%lang /usr/share/locale/lt/LC_MESSAGES/workrave.po
E: workrave-debuginfo script-without-shellbang
/usr/src/debug/workrave-1.8.1/frontend/common/src/System.cc
E: workrave-debuginfo script-without-shellbang
/usr/src/debug/workrave-1.8.1/frontend/gtkmm/src/HeadInfo.cc
E: workrave-debuginfo wrong-script-end-of-line-encoding
/usr/src/debug/workrave-1.8.1/frontend/gtkmm/src/HeadInfo.cc
E: workrave-debuginfo script-without-shellbang
/usr/src/debug/workrave-1.8.1/frontend/common/include/System.hh
E: workrave-debuginfo script-without-shellbang
/usr/src/debug/workrave-1.8.1/frontend/common/src/TimerBoxControl.cc
E: workrave-debuginfo script-without-shellbang
/usr/src/debug/workrave-1.8.1/frontend/common/include/TimerBoxView.hh
E: workrave-debuginfo wrong-script-end-of-line-encoding
/usr/src/debug/workrave-1.8.1/frontend/common/include/TimerBoxView.hhE:
workrave-debuginfo script-without-shellbang
/usr/src/debug/workrave-1.8.1/frontend/common/include/TimeBarInterface.hh
E: workrave-debuginfo script-without-shellbang
/usr/src/debug/workrave-1.8.1/frontend/gtkmm/src/MicroBreakWindow.cc
E: workrave-debuginfo script-without-shellbang
/usr/src/debug/workrave-1.8.1/frontend/gtkmm/src/TimerBoxGtkView.hh
E: workrave-debuginfo script-without-shellbang
/usr/src/debug/workrave-1.8.1/frontend/common/include/TimerBoxControl.hh
E: workrave-debuginfo script-without-shellbang
/usr/src/debug/workrave-1.8.1/frontend/gtkmm/src/MicroBreakWindow.hh
E: workrave-debuginfo script-without-shellbang
/usr/src/debug/workrave-1.8.1/frontend/gtkmm/src/TimerBoxGtkView.cc

%find_lang with fix the lang ones. For the debug info chmod -x *.cc and *.hh
files in %prep or something

conffile and libexec dir can probably be ignored, at least based on precedent of
other Gnome apps and applets

* need a .desktop file for workrave executable, and install it with
desktop-file-install

* configure did check for XML::Parer, if this is important perl-libxml-enno is
needed as a BuildRequires
Comment 6 Tomas Mraz 2005-10-22 17:03:53 EDT
> * Need to use %find_lang macro, as per the PackagingGuidelines on the wiki
- done

> For the debug info chmod -x *.cc and *.hh files in %prep or something
- I don't think it's worth it as it's only a debuginfo package and the wrong
permissions on the source files don't break anything

> * need a .desktop file for workrave executable, and install it with
desktop-file-install
- created a new .desktop file

> * configure did check for XML::Parer, if this is important perl-libxml-enno is
needed as a BuildRequires
- this is used only when intltool is run - not normally in the build process

New .spec and src.rpm uploaded.
http://people.redhat.com/tmraz/workrave/workrave-1.8.1-4.src.rpm
Comment 7 John Mahowald 2005-10-23 01:35:03 EDT
Looks good:
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc
- spec file legible
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- used %find_lang
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- works

APPROVED
Comment 8 Tomas Mraz 2005-10-25 04:00:54 EDT
Package built in FC-3, FC-4 and development.
Comment 9 Josh 2011-03-16 14:38:25 EDT
Package Change Request
======================
Package Name: workrave
New Branches: el6
Owners: tmraz, sundaram, jokajak
Comment 10 Jason Tibbitts 2011-03-17 10:11:40 EDT
Need acks from the other maintainers here.
Comment 11 Tomas Mraz 2011-03-17 10:26:20 EDT
ACK from me.
Comment 12 Jason Tibbitts 2011-03-21 10:21:17 EDT
In general, we're going to want acks from everyone you add as a maintainer for
a branch besides yourseslf.  Since sundram has not responded, I'll just process
the request without that user.  They can always be added later by clicking the
appropriate buttons in pkgdb.

Git done (by process-git-requests).
Comment 13 Christopher Meng 2014-07-24 20:56:42 EDT
Package Change Request
======================
Package Name: workrave
New Branches: epel7
Owners: cicku
Comment 14 Jon Ciesla 2014-07-25 07:53:29 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.